Skip to main content
Get Team Groups
curl --request GET \
  --url https://api.coralogix.com/mgmt/openapi/5/aaa/team-groups/v2 \
  --header 'Authorization: <api-key>'
{
  "groups": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "externalId": "<string>",
      "groupId": 123,
      "name": "<string>",
      "role": {
        "description": "<string>",
        "name": "<string>",
        "roleId": 123
      },
      "scope": {
        "scopeId": "<string>"
      },
      "teamId": 123,
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextPageToken": "<string>",
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.coralogix.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

team_id
integer<int64>

Team to fetch team groups for. If not set, fetches groups associated with the logged in team.

page_size
integer<int64>

Page size.

page_token
string

The page token.

Example:

""

Response

Response containing a paginated list of team groups.

groups
TeamGroup · object[]

List of groups.

nextPageToken
string

Token for fetching the next page of results.

totalCount
integer<int64>

The total count.